Home

# Class goog.ui.Tooltip.CursorTooltipPosition

Popup position implementation that positions the popup (the tooltip in this case) based on the cursor position. It's positioned below the cursor to the right if there's enough room to fit all of it inside the Viewport. Otherwise it's displayed as far right as possible either above or below the element. Used to position tooltips triggered by the cursor.

extends goog.positioning.ViewportPosition

Instance Method Summary
| `reposition(?Element element, ?goog.positioning.Corner popupCorner, ?goog.math.Box= opt_margin)` Repositions the popup based on cursor position.